spot 2.2.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Protected Attributes | List of all members
spot::internal::succ_iterator Struct Reference

Helper structure to iterate over the successor of a state using the on-the-fly interface. More...

`#include <spot/twa/twa.hh>`

Collaboration diagram for spot::internal::succ_iterator:

## Public Member Functions
| succ_iterator (twa_succ_iterator *it)
bool | operator== (succ_iterator o) const
bool | operator!= (succ_iterator o) const
const twa_succ_iterator * | operator* () const
void | operator++ ()

## Protected Attributes
twa_succ_iterator * | it_

## Detailed Description

Helper structure to iterate over the successor of a state using the on-the-fly interface.

This one emulates an STL-like iterator over the twa_succ_iterator interface.

The documentation for this struct was generated from the following file:

- spot/twa/twa.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.